
clc
clear all

cd('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\Figure_Rerun\Data_WorkStation');
rH=2.8582;
rT=1.2416;

mu=0.504;
A=rH/(2*sqrt(2));
B=rT/sqrt(1+mu^2);
Hs=7.5;
Hrms=0.714*Hs;
g=9.81;

Tp=9.5;
Tz=Tp/1.22;
ms=0.1;
Sm=Hs/(g*Tz^2/(2*pi));
xirms=ms/sqrt(0.7*Sm);

Rstart = 0.0005;
 Rend = 100.0005;
 JJ = 18;

%  Rstart = 0.0005;
%  Rend = 180.0005;
%  JJ = 19;


%  Rstart = 0.0005;
%  Rend = 200.0005;
%  JJ = 20;

% Rstart = 0.0002;
% Rend = 300.0002;
% JJ = 21;
R = Rstart: (Rend - Rstart)/(2^(JJ-1)) :Rend; %% Run-up


Hs=7.5;
hrms=0.714*Hs;
hm = [0.25 0.5 1 1.4 2.1];
Hcr = hm.*hrms;


cdfSpLoad = load('CDFxi_h.mat','CDFxi_h');
RsExpSpLoad = load('RsExpSp.mat','RsExpSp');
% cdfSpLoad = load('CDFxi_h_18.mat','CDFxi_h');
% RsExpSpLoad = load('RsExpSp_18.mat','RsExpSp');

% cdfSpLoad = load('CDFxi_h_20.mat','CDFxi_h');
% RsExpSpLoad = load('RsExpSp_20.mat','RsExpSp');

% cdfSpLoad = load('CDFxi_h_30.mat','CDFxi_h');
% RsExpSpLoad = load('RsExpSp_30.mat','RsExpSp');

cdfSp = cdfSpLoad.CDFxi_h;
RsExpSp = RsExpSpLoad.RsExpSp;

colRs=zeros(length(Hcr),1);
%%%----Find Index-----------
for i=1:1:length(colRs)
    [~,colRs(i,1)]=min(abs(R-RsExpSp(i,1)));
end

%%%----Find Index-----------

%%--------Postprocess------------
Rs = RsExpSp;

colorSig = ['c','r','g','k','b','m'];
hpNum=zeros(length(hm),1);
for i=1:1:length(hm)
    x=R(2:end);
    y=cdfSp(i,:);
    hpNum(i,1)= plot(x,y,'-','color',colorSig(i),'LineWidth',2);
    hold on;
    
end

ylim([0 1]);
xlim([0 10]);

yCor=0:0.1:1;

set(gca,'YTick',yCor);

yLimit=ylim;
headCell=cell(length(hm),1);
legCell=cell(length(hm),1);
numStr=num2str(hm');
numCell=cellstr(numStr);
for i=1:1:length(hm)
    line([Rs(i) Rs(i)],yLimit,'Color',colorSig(i));
    hold on;
    headCell{i,1}='$\hat{h}_{MK}$=';
    legCell{i,1}=strcat(headCell{i,1},numCell{i,1});
    
end

%%%----Investigate variation-------
xR=zeros(length(hm),1);
yR=zeros(length(hm),1);
for i=1:1:length(hm)
    xR(i)=R(colRs(i,1));
    yR(i)=cdfSp(i,colRs(i,1)-1);
end
hold on;
plot(xR,yR,'r-.','Marker','.','MarkerSize',16,'MarkerEdgeColor','r','LineWidth',2);
%%%-------Investigate varation----------
%%%------set tick of x-axis----
xCor=[0:10 RsExpSp'];
xCor=[0:10];
rouCor=fix(xCor*10)/10.0;
%%----Obtain unique values----
xUCor=unique(rouCor);
%%----Obtain unique values----
set(gca,'XTick',xUCor);
%%%------set tick of x-axis----
set(gca,'FontSize',30);
hleg=legend(hpNum,legCell,'Location','SouthEast','FontSize',30);
set(hleg,'Interpreter','Latex');
xlabel('Run up [m]','FontSize',30);
ylabel('$P(R | \hat{h}_{MK})$','FontSize',30,'Interpreter','Latex');
title('Run-up distribution for Hs=7.5 m -Tp=9.5 s -m=0.10','FontSize',30);
print('-depsc','-r300','Fig17_MyModel_Color');
%%--------Postprocess------------


