
clc
clear all

mu=0.504;

colorSig=['r','b','g','m','c'];
hb = 0.001:0.001:2;
KK = length(hb);
k2=0.27;
cdf = integral2(@(hb,hMK)pdfhbMKhMK(k2,hb,hMK,mu),0,inf,0,inf);

pdfHb = zeros(KK,1);
for i = 1:1:KK
   pdfHb(i,1) = integral(@(hMK)pdfhbMKhMK(k2,hb(i),hMK,mu),0,inf); 
end


cdfHb=zeros(KK-1,1);
for i=2:1:KK
    cdfHb(i-1,1)=trapz(hb(1:i),pdfHb(1:i));
end


y=log(-log(1-cdfHb));
x=log(hb(2:end));
plot(x,y,'-','LineWidth',2,'Color','r');


%%**** Necessary to alter row vector into column vector due to cellstr
% xStr=cellstr(num2str(Eta(2:end)'));

xValue=[0.8 0.9 1 1.1 1.2 1.3 1.35];
xCor=log(xValue);
xStr=cellstr(num2str(xValue',12));
yValue=[0.001 0.01 0.05 0.1 0.2 0.3 0.5 0.7 0.9 0.99 0.99999];
yCor=log(-log(1-(yValue)));
yStr=cellstr(num2str(yValue',12));
axis([xCor(1) xCor(end) yCor(1) yCor(end)]);

set(gca,'XTick',xCor);
set(gca,'YTick',yCor);
set(gca,'XTickLabel',xStr);
set(gca,'YTickLabel',yStr);
xlabel('$\hat{h}_{bMK}$','FontName','TimesNewRoman','FontSize',30,...
    'Interpreter','Latex');
ylabel('$P(\hat{h}_{bMK})$','FontName','TimesNewRoman','FontSize',30,...
    'Interpreter','Latex');
set(gca,'FontName','TimesNewRoman','FontSize',30);





