function[]=Fig1_MKModel_MyModel()
clc
clear all
 funRayleighPlot();
 funFig1MyModel();
 funFig1MKModel();
 PostProcess();


function []=funRayleighPlot()
global mu;
global hpNum;
global colorSig;
global markerSig;
global ha;
global hMK;

hMK=0.002:0.002:4.502;
colorSig=['r','c','g','k','m'];
figure(1);
ha=gca;
mu=[0.1 0.3 0.504  0.6  ];
hpNum=zeros(length(mu)+2,1);

rH=2.8582;
A=rH/(2*sqrt(2));
h=A.*hMK;
cdf=funRayleigh(h);
x=log(hMK(1:end));
y=log(-log(1-(cdf)));

[xp,yp]=funFindRealFig1(x,y);
hpNum(1)=plot(xp,yp,'-.','Color','k','LineWidth',2);
hold on;



function[]=funFig1MyModel()
global mu;
global hpNum;
global colorSig;
global markerSig;
global ha;
global hMK;

hMK=0.002:0.002:6.002;
mu=[0.1 0.3 0.504  0.6];
NN=length(hMK)-1;
KK=(length(hMK)-1)/2 ;
cdfMH_Tr=zeros(NN,length(mu));
cdfMH_Sp=zeros(KK,length(mu));
for mm=1:1:length(mu)

%%%---Intergrave over xi----
pdfH = zeros(length(hMK),1);
for i = 1:1:length(hMK)
pdfH(i) = integral(@(xiMK)pdfxiMKhMK(xiMK,hMK(i),mu(mm)),1e-6,inf);
end

%%%---Intergrave over xi----

%%---The elements of final results are less than argument h with 1

%%%---Integrate over h----
dhMK = hMK(2) - hMK(1);
for i=2:1:length(hMK)
    cdfMH_Tr(i-1,mm) = trapz(hMK(1:i),pdfH(1:i));
end
%%---Assign variable to base workspace
assignin('base','cdfMH_Tr',cdfMH_Tr);
%%---Assign variable to base workspace

%%------Composite Simpson Method------
for i = 1:1:KK
    cdfMH_Sp(i,mm) = dhMK/3 * ( pdfH(1) + 2 * sign(i-1) * ...
        sum(pdfH(3:2:max(3,2*(i-1)+1))) + ...
    4 * sum(pdfH(2:2:2*i)) + pdfH(2*i+1));

%   cdfMH_Sp(i,mm) = dhMK/3 * (pdfH(1,1) + pdfH(2*i+1,1) + ...
%         2*sum(pdfH(3:2:2*i-1)) + 4*sum(pdfH(2:2:2*i,1)) );

end
%%%---Integrate over h----
%%----Composite Simpson Method-----

%%--Assign variable to base workspace
assignin('base','cdfMH_Sp',cdfMH_Sp);
%%--Assign variable to base workspace


y=log(-log(1-cdfMH_Tr(:,mm)));
x=log(hMK(2:end));
[xp,yp]=funFindRealFig1(x,y);
hpNum(mm+1,1)=plot(xp,yp,'Color',colorSig(mm),'LineWidth',2);
hold on;

end


%%**** Necessary to alter row vector into column vector due to cellstr
% xStr=cellstr(num2str(Eta(2:end)'));
function []=funFig1MKModel()
global hpNum;
global colorSig;
global hMK;



cdfhMK = 1 - exp( - (hMK./1.05).^2.39 );



x=log(hMK(1:end));
y=log(-log(1-cdfhMK));

% [xp,yp]=funFindRealFig1(x,y);
hpNum(end)=plot(x,y,'color',colorSig(end),'LineWidth',2);

function []=PostProcess()
global mu;
global hpNum;
global ha;
xlim(gca,[log(0.02),log(4.5)]);
xValue=[0.02 0.1 0.3 0.5 0.7 1 1.5 2  3  4.5];
xCor=log(xValue);
xStr=cellstr(num2str(xValue'));
yValue=[0.001 0.01 0.05  0.3 0.7  0.99   0.99999 0.999999999999];
yCor=log(-log(1-(yValue)));
yStr=cellstr(num2str(yValue',12)); %% set precison for displaying sufficient digits in ylabel
set(gca,'FontSize',30);
set(gca,'XTick',xCor);
set(gca,'YTick',yCor);
set(gca,'XTickLabel',xStr);
set(gca,'YTickLabel',yStr);
xlabel('$$\hat{h}_{MK}$$','interpreter','latex','FontSize',30);
ylabel('P($\hat{h}_{MK}$)','interpreter','latex','FontSize',30);
title('Marginal Distribution $ P(\hat{h}_{MK})$ versus $\hat{h}_{MK}$ in Weibull-scale','Interpreter',...
    'Latex','FontSize',30);


%%**** Necessary to alter row vector into column vector due to cellstr
headCell=cell(length(mu)+1,1);
for i=1:1:length(mu)+1
    headCell{i,1}='$\upsilon =$ ';
end
charCell=num2str([0 mu]');
strCell=cellstr(charCell);
cellLeg=strcat(headCell,strCell);
cellLeg=vertcat(cellLeg,'MF12');
hLeg=legend(hpNum,cellLeg,'Location','SouthEast');
set(hLeg,'Interpreter','Latex');

