function[]=Fig1_MkModelMyModel_PDF()
clc
clear all
funRayPDF();
funFig1MyModel();
funFig1MKModel();
PostProcess();

function[]=funRayPDF()
global hMK;
global mu;
global hpNum;

mu=[0.1 0.3 0.504  0.6  ];
hpNum=zeros(length(mu)+2,1);
rH=2.8582;
A=rH/(2*sqrt(2));
hMK=0.01:0.01:5;
[pdf]=A.*funRayleighPDF(A.*hMK);
hpNum(1)=plot(hMK,pdf,'-.','Color','k','LineWidth',3);
hold on;

function[]=funFig1MyModel()
global mu;
global hpNum;
global colorSig;
global markerSig;
global ha;
global cdf1;
global hMK;

figure(1);

ha=gca;
colorSig=['r','g','b','k','m'];
markerSig=['+','*','o','s','^'];
pdfH = zeros(length(hMK),length(mu));
for mm=1:1:length(mu)

%%%---Intergrave over xi----

for i = 1:1:length(hMK)
pdfH(i,mm) = integral(@(xiMK)pdfxiMKhMK(xiMK,hMK(i),mu(mm)),1e-6,inf);
end
%%%---Intergrave over xi----



%%---The elements of final results are less than argument h with 1


y=pdfH(:,mm);
x=hMK;

hpNum(mm+1,1)=plot(x,y,'Color',colorSig(mm),'LineWidth',2);
hold on;
end
assignin('base','Epval',cdf1);
%%**** Necessary to alter row vector into column vector due to cellstr
% xStr=cellstr(num2str(Eta(2:end)'));
function []=funFig1MKModel()
global hpNum;
global colorSig;
global markerSig;
hMK=0.01:0.01:5;
pdfhMK=zeros(length(hMK),1);


for i=1:1:length(hMK)
    pdfhMK(i,1)=WeiPDF(hMK(i),2.39,1.05);
end



x=hMK;
y=pdfhMK;

hpNum(end)=plot(x,y,'color',colorSig(end),'LineWidth',2);

function []=PostProcess()
global mu;
global hpNum;
global ha;
xlim(ha,[0.01 4]);
set(ha,'FontSize',30);
xlabel('$$\hat{h}_{MK}$$','interpreter','latex','FontName','TimesNewRoman','FontSize',30);
ylabel('p($\hat{h}_{MK}$)','interpreter','latex','FontName','TimesNewRoman','FontSize',30);
title('Probability density function $ p(\hat{h}_{MK})$ versus $\hat{h}_{MK}$','Interpreter',...
    'Latex','FontSize',30);


%%**** Necessary to alter row vector into column vector due to cellstr
headCell=cell(length(mu)+1,1);
for i=1:1:length(mu)+1
    headCell{i,1}='$\upsilon =$ ';
end
muAdd=[0 mu];
charCell=num2str(muAdd');
strCell=cellstr(charCell);
cellLeg=strcat(headCell,strCell);
cellLeg=vertcat(cellLeg,'MF12');
hLeg=legend(hpNum,cellLeg,'Location','NorthEast','FontName','TimesNewRoman','FontSize',30);
set(hLeg,'Interpreter','Latex');

