
clc
clear all

mu=0.504;

colorSig=['r','b','g','m','c'];
hMK = [0.5 1 1.4 2.1];
NN = length(hMK);
hb = 0.001:0.001:2;
KK = length(hb);
k2=0.27;
pdfhMK=zeros(length(hMK),1);
cdf = integral2(@(hb,hMK)pdfhbMKhMK(k2,hb,hMK,mu),0,inf,0,inf);
pdfhbh = pdfhbMKhMK(k2,ones(NN,1)*hb,hMK'*ones(1,KK),mu);
conPDF = zeros(NN,KK);
for i=1:1:NN
    
    pdfhMK(i,1)= integral(@(hb)pdfhbMKhMK(k2,hb,hMK(i),mu),0,inf);
    conPDF(i,:) = pdfhbh(i,:)/pdfhMK(i,1);
end
conCDF = zeros(NN,KK-1);

for i = 1:1:NN
    for j = 2:1:KK
        conCDF(i,j-1) = trapz(hb(1:j),conPDF(i,1:j));
    end
end

for mm=1:1:length(hMK)
y=log(-log(1-conCDF(mm,:)));
x=log(hb(2:end));

 [row,~]=find(imag(y)==0);



hpNum(mm,1)=plot(x,y,'-','LineWidth',2,'Color',colorSig(mm),'MarkerEdgeColor','b');
hold on;
end

%%**** Necessary to alter row vector into column vector due to cellstr
% xStr=cellstr(num2str(Eta(2:end)'));

xValue=[0.8 0.9 1 1.1 1.2 1.3 1.35];
xCor=log(xValue);
xStr=cellstr(num2str(xValue',12));
yValue=[0.001 0.01 0.05 0.1 0.3 0.5 0.7 0.9 0.99 0.99999 ];
yCor=log(-log(1-(yValue)));
yStr=cellstr(num2str(yValue',12));
axis([xCor(1) xCor(end) yCor(1) yCor(end)]);
set(gca,'XTick',xCor);
set(gca,'YTick',yCor);
set(gca,'XTickLabel',xStr);
set(gca,'YTickLabel',yStr);
ylim([min(yCor) max(yCor)]);

% ylim([0 1]);
headCell=cell(NN,1);
for i=1:1:NN
    headCell{i,1}='$\hat{h}_{MK}$ = ';
end
charMu=num2str(hMK');
strMu=cellstr(charMu);
cellLeg=strcat(headCell,strMu);
hleg=legend(hpNum,cellLeg,'Location','SouthEast');
set(hleg,'Interpreter','Latex');
xlabel('$$\hat{h}_{bMK}$$','interpreter','latex','FontName','TimesNewRoman','FontSize',30);
ylabel('P($\hat{h}_{bMK}|\hat{h}_{MK}$)','interpreter','latex','FontName','TimesNewRoman','FontSize',30);
title('Marginal Distribution $ P(\hat{h}_{bMK}| \hat{h}_{MK})$ - Weibull Scale','Interpreter',...
    'Latex','FontName','TimesNewRoman','FontSize',30);
set(gca,'FontName','TimesNewRoman','FontSize',30);