clc
clear all

xiMK = [0:0.005:4];
hMK = [0:0.005:3.5];
MM = length(xiMK);
NN = length(hMK);
mu = [0.1 0.3 0.504 0.6];
maxhMK = zeros(length(mu),1);
maxxiMK = zeros(length(mu),1);
maxValue = zeros(length(mu),1);
for kk = 1:1:length(mu)
figure(kk);
z = pdfxiMKhMK(ones(NN,1)*xiMK, hMK'*ones(1,MM),mu(kk));
maxValue(kk) = max(max(z));
[row,col] = find(z == maxValue(kk));

v = [ 1e-4 1e-3 0.01 0.1 0.3 0.8];

% if maxValue >=1
%     vv = length(v);
% else 
%     vv = length(v) - 1;
% end
% 
% for i = 1:1:vv
% contour(ones(NN,1)*xiMK,hMK'*ones(1,MM),z,1,'LineWidth',2,'LineColor',colorSig(i),'ShowText','on');
% hold on;
% end
 contour(ones(NN,1)*xiMK,hMK'*ones(1,MM),z,v,'LineWidth',2);
   
hold on;
plot(xiMK(col),hMK(row),'Marker','x','MarkerEdgeColor','r','MarkerSize',18,'LineWidth',2);
maxhMK(kk) = hMK(row);
maxxiMK(kk) = xiMK(col);
xlabel('$\hat{\xi}_{MK}$','FontSize',60,'FontName','Times New Roman','Interpreter','Latex');
ylabel('$\hat{h}_{MK}$','FontSize',60,'FontName','Times New Roman','Interpreter','Latex');
set(gca,'FontSize',60,'FontName','Times New Roman');
charNum=num2str(mu(kk));
    cellNum=cellstr(charNum);
    hedCel={'\upsilon ='};
    str=strcat(hedCel,cellNum);
    xCor = [ 0:0.5:4 ];
    set(gca,'XTick',xCor);
    xTickCell = cellstr(num2str(xCor'));
    set(gca,'XTickLabel',xTickCell);
    yCor = [0:0.5:3.5];
    yTickCell = cellstr(num2str(yCor'));
    set(gca,'YTick',yCor);
    set(gca,'YTickLabel',yTickCell);
    set(gca,'LineWidth',2);
    
    
    %%%---Matlab bug annotation cannot be used as shown in official example
    %%% using cell type for string argument
    annotation('textbox',[0.7 0.7 0.1 0.1],'String',str,'Interpreter','Tex',...
        'HorizontalAlignment','center','EdgeColor','red','FontSize',60);
    %%%---Matlab bug annotation cannot be used as shown in official example
    %%% using cell type for string argument
%     title('Isocountour of p($\hat{h},\hat{\xi}$) - probability dentsity function',...
%         'interpreter','Latex','FontSize',36);
    
end
