clc
clear all


upsilon=0.05:0.005:0.8;
x=zeros(length(upsilon),1);
y=zeros(length(upsilon),1);
Pmax=zeros(length(upsilon),1);
for i=1:1:length(upsilon)
    mu=upsilon(i);
    Gv = sqrt( ( 2*mu^2 + sqrt( 16*mu^2+25 )+5 ) / ( mu^2+1 ) );
    x(i) = sqrt(2)/4*Gv;
    y(i) = ( Gv^2*mu^2+Gv^2-2*mu^2 )/( ( sqrt( (2^0.5)*Gv ) ) * (1/2*Gv^2*mu^2+1/2*Gv^2+3*mu^2) );
    Wv=8*mu^2+sqrt(16*mu^2+25)+5;
    Qv=(sqrt(16*mu^2+25)+5)^2;
    Lv=2/(1+(1+mu^2)^(-1/2));
    Pmax(i)=2^(0.25)/8*exp(-5/4*Gv^2*Wv/Qv)* ( (Wv^2)*(Gv^(5/2))/Qv ) *Lv/(mu*sqrt(pi));
end
[~,I]=min(Pmax);
upsilon(I)
%%Only applicable for 151 number of upsilon elements
NN=0:1:length(upsilon)-1;
[~,col]=find(mod(NN,6)==0);
%%Only applicable for 151 number of upsilon elements


figure(1);
hp(1)=plot(upsilon(col),Pmax(col),...
    'r-','Marker','.',...
    'MarkerEdgeColor','r',...
    'MarkerSize',30,...
    'LineWidth',2);
[curve2,gof2,output]=fit(upsilon',Pmax,'exp2')
hold on;
hp(2)=plot(curve2);
set(hp(2),'color','k','LineWidth',2');
hleg1=legend([hp(1) hp(2)],'Original Model','Best Fit');
set(hleg1,'FontSize',36);
% str=[num2str(curve2.a), 'exp(',num2str(curve2.b),'x)+',...
%     num2str(c),'exp(',num2str(d),'x)'];
xlabel('Bandwidth parameter \upsilon','FontSize',36);
ylabel('p_{max}','FontSize',36);
set(gca,'FontSize',36);
axis([0 0.8 0.5 9])





figure(2);

hp(3)=plot(y(col),x(col),'Color','r','Marker','.',...
    'MarkerEdgeColor','r',...
    'MarkerSize',30,...
    'LineWidth',2);
[curve1,gof1,output1]=fit(y,x,'poly1')
hold on;
hp(4)=plot(curve1);
set(hp(4),'Color','k','LineWidth',2);
xlabel('$\hat{\xi}$','FontSize',36,...
    'Interpreter','Latex');
ylabel('$\hat{h}$','FontSize',36,...
    'Interpreter','Latex');

hleg2=legend([hp(3) hp(4)],'Original Model','Best Fit');
set(hleg2,'FontSize',36);
set(gca,'FontSize',36);
