%%-----Plot Fig.17 given in Dag Myrhaug (2012) with more hMK values



clc
clear all

Hs=7.5;
Hrms=0.714*Hs;
Tp=9.5;
Tz=Tp/1.22;
g=9.81;
Sm=Hs/(g*Tz^2/(2*pi));
Srms=0.7*Sm;
m=0.1;
xirms=m/sqrt(Srms);
xis=(m/sqrt(Sm));


colorSig = ['c','r','g','k','b','m'];

[hMK,Rv,cdfRH,ExpRH,cdfExp] = MF12Fig17();
charNum=num2str(hMK');
cellNum=cellstr(charNum);
headCell=cell(length(hMK),1);
hpNum=zeros(length(hMK),1);
for i=1:1:length(hMK)
    x=Rv(1:end);
    y=cdfRH(i,:);
    headCell{i,1}='$\hat{h}_{MK}$ = ';
    
    hpNum(i,1)=plot(x,y,'Color',colorSig(i),'LineWidth',2);
    hold on;
    

end

for i=1:1:length(hMK)
    yLimit=ylim;
    xRrms=ExpRH(i);
    hold on;
    line([xRrms xRrms],yLimit,'Color',colorSig(i));
    
end


hold on;
plot(ExpRH,cdfExp,'-.','LineWidth',2,'Color','r','Marker','.','MarkerSize',16);

strLeg=strcat(headCell,cellNum);

xCor = [0:1:10];
set(gca,'XTick',xCor);
hpLeg=legend(hpNum,strLeg,'Location','SouthEast','FontSize',30);
set(hpLeg,'Interpreter','Latex');
set(gca,'FontSize',30);
xlabel('Run up [m]','interpreter','latex','FontSize',30);
ylabel(' $P( R | \hat{h}_{MK}) $','interpreter','latex','FontSize',30);
title('Run-up distribution for Hs=7.5 m - Tp=9.5 s - m=0.1','Interpreter',...
    'Latex','FontSize',30);


