clc
clear all


h=0.005:0.005:3.5;
%%-- Xi cannot be equal to zero which is observed in lognormal distribution
%%-- expression
xi=0.005:0.005:4.5;
mus=zeros(length(h),1);
vars=zeros(length(h),1);
for i=1:1:length(h)
[mus(i),vars(i)]=ExpUsSigs(h(i));
end
muXi=-mus./2;
varXi=vars./4;
pHXi=zeros(length(xi),length(h));
for i=1:1:length(h)
    for j=1:1:length(xi)
      pHXi(j,i)=GauPDF(xi(j),muXi(i),sqrt(varXi(i)))*WeiPDF(h(i),2.39,1.05);
      x(j,i)=xi(j);
      y(j,i)=h(i);
    end
end
 maxValue=max(max(pHXi,[],1));
 [rowM,colM,vM]=find(pHXi==maxValue);
 hM=y(rowM,colM);
 xiM=x(rowM,colM);
 
 hf=figure('Name','Isocontours (Numerical Method)','NumberTitle','off');
 
  %%--y and x are matrix
  %[C,HC]=contour(x,y,pHXi,[0.0001 0.001 0.01 0.1 1],'ShowText','on');
  [C,HC]=contour(x,y,pHXi,[1e-4 1e-3 0.01 0.1 0.3 0.8]);
set(HC,'LineWidth',2);
  %%--y and x are matrix
  axis([0 4 0 3.5]);
  hold on;
  plot(xiM,hM,'Marker','x',...
      'Color','k',....
      'MarkerSize',14,...
      'LineWidth',2);
  xlabel('$ \displaystyle \hat{\xi}_{MK}$',...
      'Interpreter','Latex',...
      'FontSize',30);
  ylabel('$ \displaystyle \hat{h}_{MK} $',...
      'Interpreter','Latex',...
      'FontSize',30);
%   title('Isocontour of joint probability density $(\hat{h}_{MK},\hat{\xi}_{MK})$ - MF12',...
%       'FontSize',30,...
%       'Interpreter','Latex',...
%       'FontWeight','Bold');
  set(gca,'FontSize',30);
  