 function [intVal,Tol] = RombergInt(funVal,a,b)
%[intVal,Tol] = RombergInt(funVal,a,b)
%Romberg Integration Method: Number of funval n should satisfy log2(n)is
%an integrer
%%---Validate againt examples in Pages 214 and 215 given by
%%---R. L. Burden and J. D. Faires, Numerical Analysis, 9th edition,
%%---Brooks-Cole, 2010. ISBN-13: 978-0-538-73351-9; ISBN-10: 0-538-73351-9
%%---www.mathstat.dal.ca/~tkolokol/classes/1500/romberg.pdf, 
%%---Retrived on May 10, 2014
   nn = length(funVal);
   if mod(nn,2) == 0
    error('myApp:RombergInt','number of funVal for RombertInt should be odd');
   end
    mm = 1+log2(nn-1);
    h = b - a;
    Rtemp=0;
    R2 = h/2 * (funVal(1) + funVal(end));
    kk=1;
   for i = 2:1:mm
     h = h/2;
     R1 = R2;
     Index = 1+2^(mm-i):2^(mm-i):nn-2^(mm-i);
     %%------Take mm = 5 as an example, extra point needed for first entry of current row----
     %%------- 2nd row    9th point -------
     %%--------3rd       5  13 -----------
     %%--------4th     3 7 11  15-----------
     %%--------5th 2 4 6 8 10 12 14 16-----
     %%--- a = [1 2 3 4], b = [1 3] ---
     %%--- b is excluded from a; [ 2 4]
 Index = Index(~ismember(Index,Rtemp));
     %%--- a = [1 2 3 4], b = [1 3] ---
     %%--- b is excluded from a; [2 4]
  %%********************************************   
     %%---Recursive algorithm, reduce the amount of function evaluations
     %%----First column of Romberg is generated by composite trapzoidal
     R2(1) = R1(1)/2 + h * sum( funVal(Index) );
     %%----First column of Romberg is generated by composite trapzoidal
     %%---Recursive algorithm, reduce the amount of function evaluations
  %%********************************************
     for k = 2:1:i
     R2(k) = R2(k-1) + ( R2(k-1) - R1(k-1) )/ ( 4^(k-1) -1 );
     end
     %%---Mark previous funtion value evaluated already
      Rtemp = 1+2^(mm-i):2^(mm-i):nn-2^(mm-i);
     %%---Mark previous funtion value evaluated already
   end
   Tol = max( abs(R2(end) - R2(end-1)), abs(R2(end) - R1(end) ));
   intVal = R2(end);


