clc
clear all


SmL = load('Sm_SurgingBreaker.mat','Sm');
 cdfMHL = load('cdfXi_SurgingBreaker.mat','cdfXi');
Sm = SmL.Sm;
cdfMH = cdfMHL.cdfXi;

%%%----Bandwidth Parameter---
upsilon=0.504;
%%%----Bandwidth Parameter---

%%% Here mu means slope;
mu=[0.1 0.2 0.25 0.33 0.5];
%%% Here mu means slope;
hpNum=zeros(length(mu),1);
colorSig=['b','r','g','k','c','m','y'];
NN = length(mu);

for  mm = 1:1:NN
y=cdfMH(:,mm);
        x=Sm(1:end);
        hpNum(mm)=plot(x,y,'-','LineWidth',2,'Color',colorSig(mm),'MarkerEdgeColor','b');
        hold on;
    
end



%%**** Necessary to alter row vector into column vector due to cellstr
headCell=cell(length(mu),1);
for i=1:1:length(mu)
    headCell{i,1}='m = ';
end

charMu=num2str(mu');
strMu=cellstr(charMu);
cellLeg=strcat(headCell,strMu);
legend(hpNum,cellLeg,'Location','NorthEast');

xlabel('$ \displaystyle S_m  $','interpreter','latex','FontSize',30);
ylabel('P','interpreter','latex','FontSize',30);
title(' $ \hat{h}_c =0.0 - Surging $ ','Interpreter',...
    'Latex','FontSize',30);
xValue=0:0.01:0.1;
xCor=xValue;
xStr=cellstr(num2str(xValue'));
yValue=0:0.1:1;
yCor=yValue;
yStr=cellstr(num2str(yValue',12)); %% set precison for displaying sufficient digits in ylabel

set(gca,'FontSize',30);
set(gca,'XTick',xCor);
set(gca,'YTick',yCor);
set(gca,'XTickLabel',xStr);
set(gca,'YTickLabel',yStr);