
%%% Convergence Study Is Finished

clc

clear all
close all

%%%----Bandwidth Parameter---
upsilon=0.504;
%%%----Bandwidth Parameter---

%%% Here mu means slope;
mu=[0.1 0.2 0.25 0.33 0.5];
%%% Here mu means slope;
hpNum=zeros(length(mu),1);
colorSig=['b','r','g','k','c','m','y'];


%%---Sm is one of the sea state parameters
Sm=0.05:0.05:0.1;
%%---Sm is one of the sea state parameters

%%----hMK and xiMk are wave components parameters
NN = 1000;
stepInt = 1;
%%----hMK and xiMk are wave components parameters
% pdf=zeros(length(hMK),length(xiMK),length(Sm),length(mu));

figure(1);
cdfXi=zeros(length(Sm),length(mu));


for mm=1:1:length(mu)
    for kk=1:1:length(Sm)
        
        
        xiMKUpper=0.5*sqrt(0.7*Sm(kk))/mu(mm);
        %%----xiMKLower cannot be zero, since it is a denominator 
        xiMKLower=1e-6; 
        %%----xiMKLower cannot be zero, since it is a denominator
        while stepInt>0.001
        NN = NN + 4;
        stepInt=(xiMKUpper-xiMKLower)./NN;
        if NN>1e6
            warning('Warning:SplillingBreaker','NN exceeds 1e6');
            break;
        end
        end
        xiMK=xiMKLower:stepInt:xiMKUpper;
   
        tt = length(xiMK);
        dxiMK=xiMK(2)-xiMK(1);
      
        
        %%---Transform to dimensionless quantities used in MK84----
        
%%%---It is found that theoretical result of 1/Lv should be used
%%%---The reason is that the numerial value is less than theoretical one
%%%---usually. The another reason is large computation resources needed to 
%%%---obtain a resonable 1/Lv value

%%%----From expression of 1/Lv, it is noticed that the value should be
%%%----close to 1 even for larger bandwith parameter mu
LvInt3=1/2*(1+(1+upsilon^2)^(-1/2));
 
%%%---It is found that theoretical result of 1/Lv should be used
%%%---The reason is that the numerial value is less than theoretical one
%%%---usually. The another reason is large computation resources needed to 
%%%---obtain a resonable 1/Lv value

%%%----From expression of 1/Lv, it is noticed that the value should be
%%%----close to 1 even for larger bandwith parameter mu
        %%%----Integrate over h-------
        
%             for j=1:1:length(xi)
%                 
% %                 %%% Not simlified, but correct
%                  pdf(i,j,kk,mm)=A^3/B*2/(sqrt(pi)*upsilon)*(hMK(i))^(3/2)/(xiMK(j))^2*exp((-(A*hMK(i))^2)*(1+(1-1/(B*xiMK(j)*sqrt(A*hMK(i))))^2/upsilon^2))/LvInt3;
% %                 %%% Not simlified, but correct
%              %   pdf(i,j,kk,mm)=B*sqrt(A)*FunTransPDF(B/sqrt(A)*xiMK(j),A*hMK(i),upsilon);
%           
%             end
            
     
        
        
%         cdf1=zeros(length(xi),1);
%         for i=1:1:length(xi)
%             for j=1:1:length(h)-1
%                 cdf1(i,1)=cdf1(i,1)+(pdf(j,i,kk,mm)+pdf(j+1,i,kk,mm))*dhMK/2;
%             end
%         end
        pdfXi = zeros(1,tt);
        for j = 1:1:tt
            pdfXi(1,j) = integral(@(hMK)pdfxiMKhMK(xiMK(j),hMK,upsilon),0,inf);
        end
        %%%----Integrate over h-------
        
        %%---The elements of final results are less than argument h with xi
        %%%---Integrate over xi-----
        
 
     
%             cdfMH(kk,mm)=cdfMH(kk,mm)+0.5*(cdf1(i,1)+cdf1(i+1,1))*dxiMK;
            cdfXi(kk,mm) = trapz(xiMK,pdfXi);

        %%%---Integrate over xi-----
        %%---The elements of final results are less than argument xi with 1
        
        
       
    end
    
        y=cdfXi(:,mm);
        x=Sm(1:end);
        hpNum(mm)=plot(x,y,'-','LineWidth',2,'Color',colorSig(mm),'MarkerEdgeColor','b');
        hold on;
    
end

%%**** Necessary to alter row vector into column vector due to cellstr
headCell=cell(length(mu),1);
for i=1:1:length(mu)
    headCell{i,1}='m = ';
end

charMu=num2str(mu');
strMu=cellstr(charMu);
cellLeg=strcat(headCell,strMu);
legend(hpNum,cellLeg,'Location','SouthEast','FontSize',26);
set(gca,'FontSize',26);
xlabel('$ S_m $','interpreter','latex','FontSize',26);
ylabel('P','interpreter','latex','FontSize',26);
title(' $ \hat{h}_c =0.0 - Spilling $ ','Interpreter',...
    'Latex','FontSize',26);
xValue=0:0.01:0.1;
xCor=xValue;
xStr=cellstr(num2str(xValue'));
yValue=0:0.1:1;
yCor=yValue;
yStr=cellstr(num2str(yValue',12)); %% set precison for displaying sufficient digits in ylabel
ylim([0 1]);

set(gca,'XTick',xCor);
set(gca,'YTick',yCor);
set(gca,'XTickLabel',xStr);
set(gca,'YTickLabel',yStr);

%%**** Necessary to alter row vector into column vector due to cellstr
% yStr=cellstr(num2str(EtaCDF));
% set(gca,'XTickLabel',xStr);
% set(gca,'YTickLabel',yStr);
% save('PDF_Verify.mat','pdf');
% save('dhMK_Verify.mat','dhMK');
% save('dxiMK_Verify.mat','dxiMK');
% save('CDF_MH.mat','cdfMH');
% save('xiMK_Verify.mat','xiMK');
% save('A_Verify.mat','A');
% save('B_Verify.mat','B');
