clc
clear all

mu=[0.1 0.3 0.504 0.6];

JJ = 15;
xiEnd = 10.0005;
xiStart = 0.0005;
%%---Transform to dimensionless quantities used in MK84----
xiMK=xiStart:(xiEnd - xiStart)/(2.^(JJ-2)):xiEnd;
hMK=0.1:0.1:2.5;
hpNum=zeros(length(mu)+1,1);
colorSig=['r','b','g','m','c'];
figure(1);
nn = length(xiMK);
kk = length(hMK);
Exi_h=zeros(length(hMK),length(mu));
sigma = zeros(length(hMK),length(mu));
Exi_hSp=zeros(length(hMK),length(mu));
sigmaSp = zeros(length(hMK),length(mu));
for mm=1:1:length(mu)

pdf = pdfxiMKhMK(ones(kk,1)*xiMK,hMK'*ones(1,nn),mu(mm));

%%%----Integrate over xi--------
pdfH=zeros(length(hMK),1);
for i=1:1:length(hMK)
 pdfH(i,1) =  integral(@(xiMK)pdfxiMKhMK(xiMK,hMK(i),mu(mm)),0,inf);
end
%%%----Integrate over xi--------

%%%----Conditional distribution f(xi|h)----
conPDF=zeros(length(hMK),length(xiMK));
for i=1:1:length(hMK)
    conPDF(i,:)=pdf(i,:)/pdfH(i,1);
end
%%%----Conditional distribution f(xi|h)----

%%%---Verify integral of conditional probability f(xi|h) goes to 1--
CDFxi_h=zeros(length(hMK),1);

for i=1:1:length(hMK)
   
    CDFxi_h(i)=trapz(xiMK,conPDF(i,:));
   
end
%%%---Verify integral of conditional probability f(xi|h) goes to 1--

%%%---Expected Value E(xi|h)------

dxiMK = xiMK(2) - xiMK(1);
for i=1:1:length(hMK)
     Exi_hSp(i,mm)= dxiMK/3 * ( xiMK(1)*conPDF(i,1) + xiMK(end)*conPDF(i,end) +...
         2*sum(xiMK(3:2:end-2).*conPDF(i,3:2:end-2)) + 4*sum(xiMK(2:2:end-1).*conPDF(i,2:2:end-1)) ); 
Exi_h(i,mm) = RombergInt(xiMK.*conPDF(i,:),xiMK(1),xiMK(end));
end
%%%---Expected Value E(xi|h)------

%%-----Variance sigma(xi|h)-------
 Exi_h2Sp= dxiMK/3 * ( (xiMK(1).^2) * conPDF(i,1) + (xiMK(end).^2) * conPDF(i,end) +...
        2*sum( (xiMK(3:2:end-2).^2).*conPDF(i,3:2:end-2)) + 4*sum( (xiMK(2:2:end-1).^2).*conPDF(i,2:2:end-1)) ); 
 sigmaSp(i,mm)= sqrt(Exi_h2Sp - Exi_hSp(i)^2);
Exi_h2 = RombergInt((xiMK.^2).*conPDF(i,:),xiMK(1),xiMK(end));
sigma (i,mm) = sqrt(Exi_h2 - Exi_h(i)^2);
%%-----Variance sigma(xi|h)-------
end
difExp = Exi_h - Exi_hSp;
difSigma = sigma - sigmaSp;

% clc
% clear all

h=0.1:0.1:9;
mus=zeros(length(h),1);
vars=zeros(length(h),1);
for i=1:1:length(h)
[mus(i),vars(i)]=ExpUsSigs(h(i));
end

uEta=-mus./2;
varEta=vars./4;
sigEta=sqrt(varEta);

ExpEtaH=exp(uEta+1/2*varEta);
SigmaEtaH = exp(2*uEta + varEta) .* ( exp(varEta)-1 );
rEtaH = ( (exp(varEta)-1).^(0.5) );

% save('Romberg_Exi_h.mat','Exi_h');
% save('Romberg_sigma.mat','sigma');
% save('Romberg_Exi_hSp.mat','Exi_h');
% save('Romberg_sigmaSp.mat','sigma');
% save('Romberg_ExpEtaH.mat','ExpEtaH');
% save('Romberg_SigmaEtaH.mat','SigmaEtaH');


