
clc
clear all
close all

%%%----Bandwidth Parameter---
upsilon=0.504;
%%%----Bandwidth Parameter---

%%% Here mu means slope;
mu=[0.1 0.2 0.25 0.33 0.5];
%%% Here mu means slope;
hpNum=zeros(length(mu),1);
colorSig=['b','r','g','k','c','m','y'];


%%---Sm is one of the sea state parameters
Sm=0.070;
%%---Sm is one of the sea state parameters

%%----hMK and xiMk are wave components parameters
xi=0.005:0.005:5;
%%----hMK and xiMk are wave components parameters
NN=length(xi);



figure(1);
pdfXi = zeros(NN,length(mu));

for mm=1:1:length(mu)
    

%%%----From expression of 1/Lv, it is noticed that the value should be
%%%----close to 1 even for larger bandwith parameter mu
        %%%----Integrate over h-------
        xirms = mu(mm)/sqrt( 0.7 * Sm);
        xiMK = xi./( xirms );
        for i = 1:1:NN
            
% --- Applicable-----
%pdfXi(i,mm) = integral(@(hMK)1/xirms.*pdfxiMKhMK(xiMK(i),hMK,upsilon),0,inf);
% --- Applicable-----
pdfXi(i,mm) = integral(@(hMK)pdfXihMK(xi(i),hMK,upsilon,xirms),0,inf);
        end
           
        y= pdfXi(:,mm);
        x= xi(1:end);
        hpNum(mm)=plot(x,y,'-','LineWidth',2,'Color',colorSig(mm),'MarkerEdgeColor','b');
        hold on;    
           
        
end  
        
        
        
       
   
    
       
    


%%**** Necessary to alter row vector into column vector due to cellstr
headCell=cell(length(mu),1);
for i=1:1:length(mu)
    headCell{i,1}='m = ';
end

% grid on;
yLimit=get(gca,'ylim');
textposition=yLimit(2)*0.6;
hold on;
line([0 0],yLimit,'Color','k','LineWidth',2);
text(0+0.1,textposition,0,'Spilling','Rotation',90,'FontWeight','demi','FontName','TimesNewRoman','FontSize',30);

line([0.5 0.5],yLimit,'Color','k','LineWidth',2);
text(0.5+0.1,textposition,0,'Plunging','Rotation',90,'FontWeight','demi','FontName','TimesNewRoman','FontSize',30);

line([3 3],yLimit,'Color','k','LineWidth',2);
text(3+0.1,textposition,0,'Collapsing','Rotation',90,'FontWeight','demi','FontName','TimesNewRoman','FontSize',30);

line([3.5 3.5],yLimit,'Color','k','LineWidth',2);
text(3.5+0.1,textposition,0,'Surging','Rotation',90,'FontWeight','demi','FontName','TimesNewRoman','FontSize',30);


charMu=num2str(mu');
strMu=cellstr(charMu);
cellLeg=strcat(headCell,strMu);
legend(hpNum,cellLeg,'Location','NorthEast');
set(gca,'FontName','TimesNewRoman','FontSize',30);
xlabel('$ \displaystyle \xi $',...
    'interpreter','latex','FontName','TimesNewRoman','FontSize',30);
ylabel('$ \displaystyle p(\xi)$',...
    'interpreter','latex','FontName','TimesNewRoman','FontSize',30);
title(['$S_m =',num2str(Sm),'$'],'Interpreter',...
    'Latex','FontName','TimesNewRoman','FontSize',30);

xValue=[-0.1 0:0.5:5];
xCor=xValue(2:end);
xStr=cellstr(num2str(xValue(2:end)'));

set(gca,'XTick',xCor);
xlim([-0.1 5]);
set(gca,'XTickLabel',xStr);



%%**** Necessary to alter row vector into column vector due to cellstr
% yStr=cellstr(num2str(EtaCDF));
% set(gca,'XTickLabel',xStr);
% set(gca,'YTickLabel',yStr);
% save('PDF_Verify.mat','pdf');
% save('dhMK_Verify.mat','dhMK');
% save('dxiMK_Verify.mat','dxiMK');
% save('CDF_MH.mat','cdfMH');
% save('xiMK_Verify.mat','xiMK');
% save('A_Verify.mat','A');
% save('B_Verify.mat','B');
