function [cdfXi] = cdfXiMK()

   hMax = pi/2 / 1.75 + 1.2 - 1e-5;
   xi = 0.3- 2 * 0.002:0.002:3;
   mm = length(xi);
   if mod(mm-1,2) ~=0
       error('Number of xi should be odd, then Simpson Method can be used');
   end
       
   pdfXi = zeros(mm,1);
   for ii = 1:1:mm
  pdfXi(ii,1) = integral(@(h)(funH(h) .* funXi_H(h,xi(ii))), 0,hMax);
   end
   dXi = xi(2) - xi(1);
   for ii = 1:1: (mm - 1)/2 
       cdfXi(ii,1) = dXi/3 * (pdfXi(1) + 4 * sum( pdfXi(2:2:2*ii)) + 2* sum( pdfXi(3:2:2*ii-1) ) );  
   end
    function [pdfH] = funH(h)
        pdfH = 2.39 * h.^(1.39)/(1.05)^2.39 .* exp( - (h/1.05).^2.39);
    end


    function [pdfXiH] = funXi_H(h,xi)
        
        sigmaS = - 0.15 * atan( 1.75 * ( h - 1.2) ) + 0.225;
        sigmaXi = 1/4 * sigmaS;
        [m,n] = size(h);
        muXi = zeros(m,n);
        
        for i = 1:1:m
            for k = 1:1:n
                if h(i,k) <= 1.7
                mus = 0.558 * h(i,k)^2 - 1.021 * h(i,k) + 0.096;
               
                else if h(i,k) > 1.7
                        mus = 0.25 * atan( 4 * ( h(i,k) - 1.7) ) - 0.027;
                    end
                end
                
                muXi(i,k) = - mus /2;
                
            end
            
        end
        
        
       pdfXiH = 1 ./ ( sqrt(2*pi) * sqrt(sigmaXi) * xi) .* exp( - (log(xi) - muXi).^2 ./ ( 2 * sigmaXi) ); 
    end

end