function [pdf] = pdfXiH(xi,H,mu,xirms,hrms)
%%----Joint distribution of surf parameter xiMK and wave height hMK derived
%%----from Logget-Higgins(1983).Normalized quanties are the same as in MK84
%%-----mu is bandwith parameter defined in MK84

%%---Transform to dimensionless quantities used in MK84---
rH=2.8582;
rT=1.2416;
rS = 17.6;
LvIntCC=2/( 1 + (1+mu^2)^(-0.5));
A=rH/(2*sqrt(2));
B=rT/sqrt(1+mu^2);
Cm = sqrt( 4*pi*sqrt(2) / ( rS * (1+mu^2) ) );
%%---Transform to dimensionless quantities used in MK84---

%%----Joint distribution of (xiMK,jMK) derived from Logget-Higgins (1983)
pdf = 2 / ( xirms * hrms *(sqrt(pi) * mu) ) * A^(2.5)/Cm * ...
    ( (H/hrms).^(3/2) ) ./ ( (xi/xirms).^2 ) .* ...
    exp( (- ( A* H/hrms ).^2) .* ( 1 + ...
    ( 1 - 1./( Cm * (xi/xirms).* sqrt(A*H/hrms)) ).^2/mu^2))*...
    LvIntCC;
%%----Joint distribution of (xiMK,jMK) derived from Logget-Higgins (1983)

% pdf=A^3/B*2/(sqrt(pi)*mu)*(hMK).^(3/2) ./ ((xiMK).^2) .* ...
%     exp((-(A*hMK).^2) .* (1+(1-1./(B*xiMK.*sqrt(hMK))).^2/mu^2)) * LvIntCC;
% 

end