clc
clear all

mu = 0.504;
%% Lv given in Logguet - Higgins (1983) Eq(2.18)
LvT = 2 / ( 1 + ( 1+ mu^2 )^(-1/2) );
cdfPxihT = 2/(mu*sqrt(pi)) * LvT * integral2(@(xi,h)  pxihCommonPart(xi,h,mu),0,inf,0,inf);

%% Prove that transformation is correct Eq(2.10) and Eq(2.11)
intCommon = integral2(@(xi,h)pxihCommonPart(xi,h,mu),0,inf,0,inf);
%-----Multiplicative inverse of Lv
LvRec = 2/( mu * sqrt(pi) ) * intCommon ;
%-----To see if the change of expression has an effect on numerical
%-----integration results
Lv2Rec = integral2(@(xi,h) 2/(mu* sqrt(pi)) * pxihCommonPart(xi,h,mu),0,inf,0,inf);
%----- Multiplicative inverse of Lv

Lv = 1/LvRec;
Lv2 = 1/Lv2Rec;

%-----Use numerically calculated Lv to obtain cdf
cdfPxih = 2 / (mu * sqrt(pi) ) * 1/LvRec * intCommon;
cdfPxih2 = 2 / (mu * sqrt(pi) ) * 1/Lv2Rec * intCommon;

