clc
clear all;

%%----- one solution h = hSol = 0 and xi = xi is missing by these
%%------assumptions
syms xi positive;
syms h positive;
%%----- one solution h = hSol = 0 and xi = xi is missing by these
%%------assumptions

syms mu positive;
syms Lvm;

Lv = 2/( 1 + ( 1+ mu^2 ) ^ (-0.5));

s1 = 3/2*h^(1/2)*xi^2 - 2*h^(5/2) * xi^2 + 1/mu^2 *( -2*h^(5/2) * xi^2 + 3*h^2 * xi -h^(1.5));
s2 = xi^2 + 1/mu^2 * ( h^(3/2)*xi -h );
[xiSol,hSol] = solve(s1 == 0, s2 == 0,xi,h);

%%---Verify that pair values (xiSol(1),hSol(1)) and (xiSol(2),hSol(2)) are the solutions of 
%%---of original system of equations
f1 =subs(s1,{xi,h},{xiSol(1),hSol(1)});
f2 = subs(s2,{xi,h},{xiSol(2),hSol(2)});
f1Sol = double(subs(f1,mu,0.3));
f2Sol = double(subs(f2,mu,0.3));
%%---------- From previous assumtion of xi and h being >=0----
%%---------- xi takes xiSol(1) and h takes hSol(1)
xiNum = double(subs(xiSol,mu,0.3));
hNum = double(subs(hSol,mu,0.3));

%----To obtain maximum value of joint density funtion p(\hat{\xi}, \hat{h})

pxih = 2/(mu * sqrt(pi)) * h^(3/2)/xi^2 * exp ( - h^2 * ( 1+ (1 - 1/(xi*sqrt(h) ) )^2/mu^2)) * Lvm;
Lvs = 2/( 1 + (1+mu^2) ^(-0.5));
pxihMax = subs(pxih, {xi,h,Lvm},{xiSol(1),hSol(1),Lvs});
pxihMin = diff(pxihMax,mu);
muMin = solve(pxihMin == 0);
pxihMaxVal = double(subs(pxihMax,mu,0.3)); % same as Eq.(33) given by Maple file Fig6_Mode.mw

%% Verify Maple Results
% bandwidth parameter mu = 0.3
hMap = [1.087986106, 1.087986106, -1.087986106, -1.087986106, 0.6602746942e-1, 0.6602746942e-1, -0.6602746942e-1, -0.6602746942e-1];
xiMap =[.8951629274, -.8951629274, -.8951629274i, .8951629274i, -.9559549580, .9559549580, .9559549580i, -.9559549580i];

kk = 1;
mm = zeros(length(hMap),1);
nn = zeros(length(xiMap),1);
mH = zeros(length(hMap),1);
nXi = zeros(length(xiMap),1);
for m = 1:1:length(hMap)
    for n = 1:1:length(xiMap)
        h = hMap(m);
        xi = xiMap(n);
     fS1(m,n) = double( subs( s1,{xi,h,mu},{xiMap(n),hMap(m),0.3} ) );
     fS2(m,n) = double( subs( s2,{xi,h,mu},{xiMap(n),hMap(m),0.3} ) );
    
    if abs(fS1(m,n)) < 1e-3 && abs(fS2(m,n)) < 1e-3
        mm(kk,1) = hMap(m);
        nn(kk,1) = xiMap(n);
        mH(kk,1) = m;
        nXi(kk,1) = n;
        kk = kk + 1;
    end
    
    end
end




