clc
clear all


mu = 0.504;
Lv = 2 / ( 1 + ( 1 + mu^2)^(-0.5) );

%% Eq2_36 theoretical pdf of xiMK and hMK-----
rH = 2.8582;
rS = 17.6;
A = rH/(2*sqrt(2));
Cm = sqrt( 4*pi*sqrt(2) / ( rS * ( 1 + mu^2) ));
pdfxiMKhMK =@(xiMK,hMK,mu) 2 * A^(5/2) / ( Cm * sqrt(pi) * mu) * ( hMK.^(3/2) ./ (xiMK.^2)).*...
    exp( - (A*hMK).^2 .* ( 1 + ( 1 - 1 ./ ( Cm * xiMK .* sqrt(A*hMK) ) ).^2 / mu^2 )) * Lv;
cdfxiMKhMK = integral2(@(xiMK,hMK)pdfxiMKhMK(xiMK,hMK,mu),0,inf,0,inf);

%% Eq A.19 Theoretical pdf of xiMK and hMK
rT = 1.2416;
B = rT / sqrt( 1 + mu^2 );
rXi = sqrt(0.7/0.714) * rT;
pdfxiMKhMK_2 = @(xiMK,hMK,mu) 2 * A^3 * rXi / ( B * sqrt(pi) * mu) * ( hMK.^(3/2) ./ (xiMK.^2)).*...
    exp( - (A*hMK).^2 .* ( 1 + ( 1 - rXi ./ ( B * xiMK .* sqrt(hMK) ) ).^2 / mu^2 )) * Lv;
cdfxiMKhMK_2 = integral2(@(xiMK,hMK)pdfxiMKhMK_2(xiMK,hMK,mu),0,inf,0,inf);

%% Eq 2.38 Theoretical pdf of hbMK and hMK

Cm = sqrt( 4 * pi * sqrt(2) / ( rS * ( 1 + mu^2 ) ) );
k2 = 0.27;

phbMKhMK = @(hbMK,hMK,mu) 2 * A^(5/2) / ( k2 * Cm * sqrt(pi) * mu) * ( hMK.^(3/2) ./ ( hbMK .^ (( k2+1 ) /k2)) ).*...
    exp( - (A*hMK).^2 .* ( 1 + ( 1 - 1 ./ ( Cm* hbMK.^(1/k2) .* sqrt(A*hMK) ) ).^2 / mu^2 )) * Lv;
cdfhbMKhMK = integral2(@(hbMK,hMK)phbMKhMK(hbMK,hMK,mu),0,inf,0,inf);

%% Eq A.22 Theoretical pdf of hb and h

phbh = @(hb,h,mu) 2  / ( k2  * sqrt(pi) * mu) * ( h.^(3/2) ./ ( hb .^ (( k2+1 ) /k2)) ).*...
    exp( - (h).^2 .* ( 1 + ( 1 - 1 ./ ( hb.^(1/k2) .* sqrt(h) ) ).^2 / mu^2 )) * Lv;
cdfhbh = integral2(@(hb,h)phbh(hb,h,mu),0,inf,0,inf);

%% Eq 2.44 Theoretical pdf of Xi and H
Xirms = 2;
Hrms =3;
pXiH = @(Xi,H,mu)2 * A^(5/2) * Xirms / ( Hrms^(2.5) * Cm * sqrt(pi) * mu) * ( H.^(3/2) ./ (Xi.^2)).*...
    exp( - (A*H/Hrms).^2 .* ( 1 + ( 1 - Xirms * sqrt(Hrms) ./ ( Cm * Xi .* sqrt(A*H) ) ).^2 / mu^2 )) * Lv;
cdfXiH = integral2(@(Xi,H)pXiH(Xi,H,mu),0,inf,0,inf);

%% Eq A.23 Theoretical pdf of Xi and H
Xicr = 2.5;
Hcr = 4;
pXiH_2 = @(Xi,H,mu) 2 * Xicr / ( Hcr^(2.5)* sqrt(pi) * mu) * ( H.^(3/2) ./ (Xi.^2)).*...
    exp( - (H/Hcr).^2 .* ( 1 + ( 1 - Xicr * sqrt(Hcr) ./ (  Xi .* sqrt(H) ) ).^2 / mu^2 )) * Lv;
cdfXiH_2= integral2(@(Xi,H)pXiH_2(Xi,H,mu),0,inf,0,inf);


%% Eq 2.46 Theoretical pdf of R and H
K = 1;
pRH = @(R,H,mu)2 * A^(5/2) * Xirms / ( Hrms^(2.5) * Cm * sqrt(pi) * mu) * ( K * H.^(5/2) ./ (R.^2)).*...
    exp( - (A*H/Hrms).^2 .* ( 1 + ( 1 - K * Xirms * sqrt(Hrms * H) ./ ( Cm * R .* sqrt(A) ) ).^2 / mu^2 )) * Lv;
cdfRH = integral2(@(R,H)pRH(R,H,mu),0,inf,0,inf);

%% Eq Theoretical pdf of Xi and R
pXiR_1 = @(Xi,R,mu)2 * A^(5/2) * Xirms / ( (K*Hrms)^(2.5) * Cm * sqrt(pi) * mu) * ( H.^(3/2) ./ ( Xi.^(9/2) ) ).*...
    exp( - (A*R ./( K * Xi *Hrms)).^2 .* ( 1 + ( 1 - Xirms * sqrt( K*Hrms ) ./ ( Cm * sqrt(A*Xi*R) ) ).^2 / mu^2 )) * Lv;
cdfXiR_1 = integral2(@(Xi,R)pXiH(Xi,R,mu),0,inf,0,inf);

%% Eq A.24 Theoretical pdf of R and H

pRH_2 = @(R,H,mu) 2 * Xicr / ( Hcr^(2.5)* sqrt(pi) * mu) * ( K* H.^(5/2) ./ (R.^2)).*...
    exp( - (H/Hcr).^2 .* ( 1 + ( 1 - K * Xicr * sqrt(H*Hcr) ./ (  R ) ).^2 / mu^2 )) * Lv;
cdfRH_2 = integral2(@(R,H)pRH_2(R,H,mu),0,inf,0,inf);

%% Eq  Theoretical pdf of R and xi
pXiR_2 = @(Xi,R,mu) 2 * Xicr / ( (K*Hcr)^(2.5) * sqrt(pi) * mu) * ( R.^(3/2)./ (Xi.^(9/2)) ).*...
    exp( - (R./( Hcr * K * Xi) ).^2 .* ( 1 + ( 1 - Xicr * sqrt(K*Hcr) ./  sqrt(R.*Xi ) ).^2 / mu^2 ) ) * Lv;
pXiR_2 = @(Xi,R,mu) 2 * Xicr / ( sqrt(pi) * mu * ( K * Hcr )^(2.5) ) * R.^(3/2) ./ ( Xi.^(9/2) ) .* ...
    exp( - ( R ./  ( K * Xi * Hcr) ).^2 .* ( 1 + ( 1 - Xicr * sqrt( K * Hcr ) ./ sqrt( R.*Xi ) ).^2 /mu^2 ) ) * Lv;
cdfXiR_2 = integral2(@(Xi,R)pXiR_2(R,Xi,mu),0,inf,0,inf,'RelTol',1e-12,'AbsTol',1e-12);






