clc
clear all
%------Input the results from Maple file Fig6_Mode.mw manullay----
%------Verify the Simplied results given by Eqs. (2.13),(2.14) and (2.15)
%------in thesis----
mu =0.3;
Gv = sqrt( ( sqrt(16*mu^2 +25) + ( 5 + 2 * mu^2 ) )/(mu^2+1) );
Qv = ( sqrt( 16*mu^2 + 25) +5 )^2;
Wv = 8*mu^2 + sqrt(16*mu^2 + 25) +5;

h = sqrt(2)/4 * Gv;
xi = ((Gv * mu)^2 + Gv^2 - 2*mu^2 )/ ( 2^(0.25) * sqrt(Gv) *( 0.5*(Gv *mu)^2 + 0.5*Gv^2 + 3*mu^2) );
xi_1 = 2^(-13/4) * (mu^2 + 1)/mu^2 * Gv^(7/2) - 2^(-9/4) * (mu^2 + 5) /mu^2* Gv^(3/2);
xi_2 = 2^(3/4) * sqrt(Qv) / ( Wv * Gv^(1/2));
difXi = [xi - xi_1, xi_1 - xi_2, xi_2 - xi];

Lv = 2 / ( 1 + (1+mu^2)^(-1/2) );



pmax = 2^(-11/4) * exp(-5/4* Gv^2 * Wv / Qv) * Lv * Gv^(2.5) * Wv^2/(Qv * mu * sqrt(pi));
%% Results given by Maple file Fig6_Mode.mw
hMaple = .7693223535*sqrt(2); %  first result of Eq(4) in Maple file
xiMaple = .5322670610*2^(3/4); %  first result of Eq(7) in Maple file
pmaxMaple = 1.559022529; % Eq(33) in Maple file

%%% Numerical Verification ( Caution against the availabel memory size)

% xiVal = 0.0002:0.0002:3;
% hVal = 0.0002:0.0002:3;
% MM = length(xiVal);
% NN = length(hVal);
% pxihfun = @(xi,h,mu)2/( mu*sqrt(pi) ) * h.^(3/2) ./ xi.^2 .* exp( - h.^2 .* ( 1 + (1 - 1./ (xi.*sqrt(h) ) ).^2/mu^2) ) *Lv;
% %---Verify the unity of cumulative funtion as it is integrated with integral
% %---limit [0,infinity]
% cdfInt = integral2(@(xi,h)pxihfun(xi,h,mu),0,inf,0,inf);
% %---Verify the unity of cumulative funtion as it is integrated with integral
% %---limit [0,infinity]
% pxihVal = pxihfun(ones(NN,1)*xiVal,hVal'*ones(1,MM),mu);
% pxihMaxVal = max(max(pxihVal));
% [row, col] = find(pxihVal == pxihMaxVal);
% hMax = hVal(row);
% xiMax = xiVal(col);

%% Plot
%  upsilon = [0.0005:0.0005:0.05]; Appendix Figure
% upsilon = [0.05:0.05:10];
% upsilon = [0.94:0.00005:1]; Appendix Figure

% upsilon = [0.05:0.005:0.8]; Verify best to fit of peak value 


pmaxY = zeros(length(upsilon),1);
for i = 1:1:length(upsilon)
mu = upsilon(i);
Gv = sqrt( ( sqrt(16*mu^2 +25) + ( 5 + 2 * mu^2 ) )/(mu^2+1) );
Lv = 2 / ( 1 + (1+mu^2)^(-1/2) );

Qv = ( sqrt( 16*mu^2 + 25) +5 )^2;
Wv = 8*mu^2 + sqrt(16*mu^2 + 25) +5;

pmaxY(i,1) = 2^(-11/4) * exp(-5/4* Gv^2 * Wv / Qv) * Lv * Gv^(2.5) * Wv^2/(Qv * mu * sqrt(pi));

end
plot(upsilon,pmaxY,'LineWidth',3,'Color','r');

%%----Verify best fit to peak value----
% [curve, goodness, output] = fit(upsilon',pmaxY,'exp2')
% plot(curve,upsilon,pmaxY);
%%----Verify best fit to peak value----


% xlim([0.94 1]); Appendix figure
set(gca,'FontSize',60,'FontName','Times New Roman');
xlabel('$\upsilon$','FontSize',60,'FontName','Times New Roman','Interpreter','Latex');
ylabel('$p_{max}$','FontSize',60,'FontName','Times New Roman','Interpreter','Latex');


