function [] = wavepower_Fig10PostProcess()

cd('F:\NTNU_2ndYear\MasterThesis\MatlabFile_04_29\MatlabFile_ComputerLab\Figure_Rerun');

tMK = 0.01:0.01:1.4;
mm = 1e8;
for kk  = 1:1:length(tMK)
ymax =  tMK(kk) ^(5)/(0.12^4) - tMK(kk) ^(5)/(0.12^4)/mm  ;
pdfTMK(kk) = integral(@(j)funTestIntegral2(j,tMK(kk)),0,ymax);
end


Epj_load10 = load('Epj_10.mat','Epj');
Epj_10 = Epj_load10.Epj;

EjInt = Epj_10.*pdfTMK';


% cdf2_load = load('cdf2.mat','cdf2');
% cdf2= cdf2_load.cdf2;
% cdf2_load8 = load('cdf2_8.mat','cdf2');
% cdf2_8 = cdf2_load8.cdf2;
cdf2_load10 = load('cdf2_10.mat','cdf2');
cdf2_10 = cdf2_load10.cdf2;


EjMy_Load= load('EjMK_10_2.mat','EjMK');
EjMy = EjMy_Load.EjMK;


mu = 0.504;
 tMK=0.01:0.01:1.4;
rH=2.8582;
rT=1.2416;
A=rH/(2*sqrt(2));
B=rT/sqrt(1+mu^2);
Lv = 2 / ( 1 + (1+mu^2)^(-0.5));
pdfT = Lv ./( 2* mu * B * tMK.^2) .* ( 1 + ( 1 - 1./(B*tMK) ).^2/mu^2 ) .^(-3/2);
EjIntMy = EjMy.*pdfT';

figure(1);
hp1 = plot(tMK,EjIntMy,'r-','LineWidth',2);
hold on;
hp2 = plot(tMK,EjInt,'b-','LineWidth',2);
hleg = legend([hp1 hp2], 'IN11 model','MB09 model');
set(hleg,'FontSize',30,'FontName','Times New Roman');



set(gca,'FontSize',30);
xlabel('$\hat{t}_{MK}$','FontSize',30','FontName','Times New Roman','Interpreter','Latex');
ylabel(' $E ( j_{MK} | \hat{t}_{MK}) p ( \hat{t}_{MK})$','FontSize',30,'FontName','Times New Roman','Interpreter','Latex');
figure(2);

hp1 = plot(tMK,pdfT,'r-','LineWidth',2);
hold on;
hp2 = plot(tMK,pdfTMK,'b-','LineWidth',2);
hleg = legend([hp1 hp2], 'IN11 model','MB09 model');
set(hleg,'FontSize',30,'FontName','Times New Roman');
set(gca,'FontSize',30);
xlabel('$\hat{t}_{MK}$','FontSize',30','FontName','Times New Roman','Interpreter','Latex');
ylabel(' $ p ( \hat{t}_{MK})$','FontSize',30,'FontName','Times New Roman','Interpreter','Latex');


function [pdf] =funTestIntegral2(j,t)
        
        pdf= funJCommaT(j,t).*funPDFTH(j,t);
        
        function [pdfJT] = funJCommaT(j,t)
            
            s = 2.39/2;
            r = 1.05^2 .*t;
           
            
            pdfJT = s./r .*  (j./r).^(s-1) .*...
                exp( - (j./r).^s);
            
            
        end
        
        
        function [pdfTH]= funPDFTH(j,t)
            
            h = sqrt(j./t);
            alpha = 0.12 * sqrt(h);
            beta = 2 * atan( 2*(h-1.2)) + 5;
            [m,n]=size(h);
            rho = zeros(m,n);
            [row, ~]=find(alpha >t);
            if ~isempty(row)
                        error('MyFunctionError:funPDFJ_T','t should be >=alpha');
            end
            
            for i = 1:1:m
                for k = 1:1:n
                    
                    if h(i,k) <= 0.9
                        rho(i,k) = 0.78*h(i,k) + 0.26;
                    else if h(i,k) > 0.9
                            rho(i,k) = 0.962;
                        end
                    end
                    
                    
                    
                end
                
            end
            
            
            
            pdfTH = beta./rho .* ( ( t- alpha)./rho).^(beta-1) .*...
                exp( -( (t-alpha)./rho ) .^beta );
            
            
        end
        
        
    end

end

