function [Sigmapj] = funMB_SigmaJT()
ymin = 0;
t=(0.01:0.01:1.4)';

cdf2 = zeros(length(t),1);
Sigmapj = zeros(length(t),1);
mm = 60000000;

for kk =1 :1 :length(t)
 ymax =  t(kk) ^(5)/(0.12^4) - t(kk) ^(5)/(0.12^4)/mm  ;
 jIN = ymax/mm:ymax/mm:ymax;

 cdf = integral(@(j)funTestIntegral2(j,t(kk)),ymin,ymax);
 Epj=trapz(jIN,jIN.*(funTestIntegral2(jIN,t(kk)*ones(1,mm))./(cdf*ones(1,mm))),2);
 Epj2=trapz(jIN,(jIN.^2) .*(funTestIntegral2(jIN,t(kk)*ones(1,mm))./(cdf*ones(1,mm))),2);
 Sigmapj(kk) = sqrt(Epj2 - Epj^2); 
 cdf2(kk)=trapz(jIN,(funTestIntegral2(jIN,t(kk)*ones(1,mm))./(cdf*ones(1,mm))),2);
end

save('Sigmapj_6.mat','Sigmapj');
save('Sigmacdf2_6.mat','cdf2');

   function [pdf] =funTestIntegral2(j,t)
        
        pdf= funJCommaT(j,t).*funPDFTH(j,t);
        
        function [pdfJT] = funJCommaT(j,t)
            
            s = 2.39/2;
            r = 1.05^2 .*t;
           
            
            pdfJT = s./r .*  (j./r).^(s-1) .*...
                exp( - (j./r).^s);
            
            
        end
        
        
        function [pdfTH]= funPDFTH(j,t)
            
            h = sqrt(j./t);
            alpha = 0.12 * sqrt(h);
            beta = 2 * atan( 2*(h-1.2)) + 5;
            [m,n]=size(h);
            rho = zeros(m,n);
            [row, ~]=find(alpha >t);
            if ~isempty(row)
                        error('MyFunctionError:funPDFJ_T','t should be >=alpha');
            end
            
            for i = 1:1:m
                for k = 1:1:n
                    
                    if h(i,k) <= 0.9
                        rho(i,k) = 0.78*h(i,k) + 0.26;
                    else if h(i,k) > 0.9
                            rho(i,k) = 0.962;
                        end
                    end
                    
                    
                    
                end
                
            end
            
            
            
            pdfTH = beta./rho .* ( ( t- alpha)./rho).^(beta-1) .*...
                exp( -( (t-alpha)./rho ) .^beta );
            
            
        end
        
        
    end

end

