function [sigmaJ, Epj, pdfH,cdf] = fun_EpJH_MyModel()

rH=2.8582;
rT=1.2416;


mu = 0.504;
A=rH/(2*sqrt(2));
B=rT/sqrt(1+mu^2);

h = 0.02:0.02:3;
jIN = 0.0005:0.0005:6000;
mm = length(h);
nn = length(jIN);
pdfH = zeros(mm,1);
cdf = zeros(mm,1);
Epj = zeros(mm,1);
sigmaJ = zeros(mm,1);

 for k = 1:1:mm
     % pdf of wave height H
     pdfH(k,1) = integral(@(j)funPDFJH_My(j,h(k)),0,inf); 
     % conditional cdf P(jMK | hMK)
     cdf(k,1) = trapz( jIN,funPDFJH_My(jIN, h(k) * ones(1,nn))./pdfH(k,1));
     % Exptected value E(jMK | hMK)
     Epj(k,1) = trapz( jIN, jIN .* funPDFJH_My(jIN, h(k) *...
         ones(1,nn))./pdfH(k,1));
     Epj2 = trapz( jIN, jIN.^2 .* funPDFJH_My(jIN, h(k) * ...
         ones(1,nn))./pdfH(k,1));
     % Standard deviation sigma(jMK | hMK)
     sigmaJ(k,1) = sqrt( Epj2 - Epj(k,1)^2);
 end


    function [pdf] = funPDFJH_My(j,h)
        Lv = 2/( 1 + ( 1 + mu^2 ) ^ (-0.5));
        % pdf of p(jMK,hMK) -- IN 11 model
        pdf = 2 * A^3 *B / ( sqrt(pi) * mu) * (A*h).^4 ...
            ./ ((A^2*B*j).^2) .* exp( - (A*h).^2 .* ( 1 + ( 1 - ....
            (A*h).^2 ./ (A^2*B*j)) .^2 /mu^2) ) * Lv;
    end

end