clc
clear all


mu = 0.504;
Lv = 2 / ( 1+ ( 1 + mu^2) ^(-1/2) );

%% Eq. (3.4) Theoretical pdf of J and H 
pdfJH = @(j,h,mu) 2 * Lv / ( sqrt(pi) * mu) * h.^4 ./ (j.^2) .*...
    exp( -h.^2 .*( 1 + (1 - h.^2 ./ j).^2 /mu^2) );
cdfJH = integral2(@(j,h)pdfJH(j,h,mu),0,inf,0,inf);


rH = 2.8582;
rT = 1.2416;

A = rH / (2*sqrt(2));
B = rT / sqrt( 1 + mu^2 );

%% Eq (3.6) Theoretical pdf of jMK and hMK 
pdfJHMK = @(jMK,hMK,mu) 2 * Lv/ ( sqrt(pi) * mu) * A^3 * hMK.^4 ./ ( B* jMK.^2) .*...
    exp( - (A*hMK).^2 .* ( 1 + ( 1- hMK.^2 ./ ( B*jMK) ).^2 / mu^2 ) );
cdfJHMK = integral2(@(jMK,hMK)pdfJHMK(jMK,hMK,mu),0,inf,0,inf);

%% Eq (3.3) Theoretical pdf of j and t

pdfJT = @(j,t,mu) 1/(sqrt(pi) * mu) * sqrt(j) ./ t.^(7/2) .*...
    exp( - j./t .* ( 1 + ( 1- 1./t).^2 / mu^2 ) ) * Lv;
cdfJT = integral2(@(j,t) pdfJT(j,t,mu),0,inf,0,inf);

pdfJTMK = @(jMK,tMK,mu) A^3 * Lv / ( B * sqrt(pi) * mu) * sqrt(jMK) ./ ( tMK.^(7/2) ).*...
    exp( -A^2 * jMK./tMK .* ( 1 + ( 1 - 1./ (B*tMK) ).^2 / mu^2) );

cdfJTMK = integral2(@(jMK,tMK)pdfJTMK(jMK,tMK,mu),0,inf,0,inf);

%% pdf of tMK

pdfT = @(tMK,mu)Lv ./( 2* mu * B * tMK.^2) .* ( 1 + ( 1 - 1./(B*tMK)).^2/mu^2 ) .^(-3/2); 
cdfTMK = integral(@(tMK)pdfT(tMK,mu),0,inf);
